#ifndef _VCL_GRID_H_
#define _VCL_GRID_H_


struct vcl_grid
{
  struct vdo_object vdo;
  struct geom_transform2 coords;
  void * parent;
  int data;
};

extern struct vcl_grid *
vcl_grid_new (const struct geom_transform2 * trans);

extern void
vcl_grid_set_transformation (struct vcl_grid * obj, const struct geom_transform2 * trans);


#ifdef _VCL_INTERNAL_

extern void
vcl_grid_main (void);

#endif
#endif
