#ifndef _VCL_CHAR_H_
#define _VCL_CHAR_H_


extern vcl_vtable *vcl_vt_char;


struct vcl_char
{
  struct vcl_object header;
  uns code;
  uns charmap;
  int font_id;
  real font_size;
  struct geom_rectangle bbox;
};

static inline uns
vcl_char_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_char)); }

extern void
vcl_char_init (struct vcl_char *obj,  uns code, uns charmap,  int font_id, real font_size, struct geom_rectangle bbox);


#ifdef _VCL_INTERNAL_


extern void
vcl_char_main (void);


#endif
#endif
