#ifndef _VCL_GROUP_H_
#define _VCL_GROUP_H_


extern vcl_vtable *vcl_vt_group;


struct vcl_group
{
  struct vcl_object header;
  struct geom_rectangle bbox;
  void *parent;
  int data;

  struct vcl_growing_array nodes;
};


static inline uns
vcl_group_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_group)); }

extern struct vcl_group *
vcl_group_new (void);


#ifdef _VCL_INTERNAL_


extern void
vcl_group_main (void);


#endif
#endif
