#ifndef _VCL_IF_CONTAINER_H_
#define _VCL_IF_CONTAINER_H_


extern int vcl_if_container;

static inline uns
vcl_if_container_p (void *obj)
{ return (vcl_class_supports_interface_p (VCL_GET_CLASS (obj), vcl_if_container)); }


#ifdef _VCL_INTERNAL_


extern int vcl_mid_container_child_altered;
extern int vcl_mid_container_child_changed;


static inline void
vcl_container_child_altered (void * obj, void * child, const struct geom_rectangle *where)
{ VCL_METHOD (void, vcl_mid_container_child_altered, child, where); }

static inline void
vcl_container_child_changed (void * obj, void * child,
			     const struct geom_rectangle *old_bbox,
			     const struct geom_rectangle *new_bbox)
{ VCL_METHOD (void, vcl_mid_container_child_changed, child, old_bbox, new_bbox); }


extern void
vcl_if_container_main (void);


#endif
#endif
