#ifndef _VCL_TEXT_LAYOUT_H_
#define _VCL_TEXT_LAYOUT_H_


extern vcl_vtable *vcl_vt_text_layout;


struct vcl_text_layout
{
  struct vcl_object header;
  struct vcl_string string;
  int copy;

  void * parent;
  int data;
};


static inline uns
vcl_text_layout_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_text_layout)); }

extern struct vcl_text_layout *
vcl_text_layout_new (uns copy, const char *string, int font_id, real font_size, const struct geom_rectangle *bbox);


#ifdef _VCL_INTERNAL_


extern void
vcl_text_layout_main (void);


#endif
#endif
