#ifndef _VDL_POLYGON_H_
#define _VDL_POLYGON_H_

#ifdef _VDL_INTERNAL_

struct vdl_polygon_edge
{
  xxxnum_t x1, y1, x2, y2;
  xxxnum_t tmp_x; /* temporary x */
  int upline;
};

struct vdl_polygon
{
  struct vdl_polygon_edge *edges;
  int edges_used;
  int edges_size;
};

extern struct vdl_polygon * vdl_polygon_new (int size);
extern void vdl_polygon_destroy (struct vdl_polygon *pg);
extern void vdl_polygon_flush (struct vdl_polygon *pg);;
extern void vdl_polygon_add_edge (struct vdl_polygon *pg, xxxnum_t x1, xxxnum_t y1, xxxnum_t x2, xxxnum_t y2);
extern void vdl_polygon_tesselate_to_trapezoids (struct vdl_polygon *pg, struct vdl_traps *tr, int fill_rule);

#endif
#endif
