<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<TITLE>Documentation of properties</TITLE>
<style TYPE="text/css">
	A:link {text-decoration:none}
	A:visited {color:blue;text-decoration:none}
	A:hover {text-decoration:underline}
	A.normal:link, A.normal:visited {text-decoration:underline}
</style>
</HEAD>
<BODY>

<?php
	class property
	{
		var $type, $subtype, $next, $flags;
		function property($type, $subtype, $next, $flags)
		{
			$this->type = $type;
			$this->subtype = $subtype;
			$this->next = $next;
			$this->flags = $flags;
		}
	}
	
	$pattern = "/struct@virtual_prop@(#)@=@{@{@{@&(#).p.n@},@NULL,@\{0},@(#),@(#),@([[:alnum:][:space:]_|]*),/";
	$pattern = ereg_replace("#", "[[:alnum:]_]*", $pattern);
	$pattern = ereg_replace("@", "[[:space:]]*", $pattern);
//	printf("%s<br>", $pattern);
			
	$prop["o_prop_name"] = new property("PT_STRING", "PTS_UNSPECIFIED", "NULL", "PTF_VIRTUAL | PTF_SAVE");

	$files = array("go_seg.c", "go_arc.c", "go_bez.c", "go_point.c", "go_text.c", "go_fork.c");
	while(list($id, $file_name) = each($files))
	{
		$file_name = $dir . $file_name;
		$socket = @fopen($file_name, "r");
		if(!$socket)
		{
			printf("Cannot open file %s.\n", $file_name);
			exit(1);
		}
		$file = fread($socket, filesize($file_name));
		fclose($socket);
		$file = strtr($file, "\n", " ");
		
		$count = preg_match_all($pattern, $file, $matches);
/*		printf("%s<br>", $count);
		while(list($id, $value) = each($matches))
			while(list($id2, $value2) = each($value))
				printf("[%s][%s] = %s<br>", $id, $id2, $value2);
		reset($matches);
*/		while(list($id, $value) = each($matches[0]))
			$prop[$matches[1][$id]] = new property($matches[3][$id], $matches[4][$id], $matches[2][$id], $matches[5][$id]);
	}
		
	$file_name = $dir . "strings.c";
	$socket = @fopen($file_name, "r");
	if(!$socket)
	{
		printf("Cannot open file %s.\n", $file_name);
		exit(1);
	}
	$file = fread($socket, filesize($file_name));
	fclose($socket);
	
	printf("<table border cellpadding=\"10\"><th>name</th><th>key</th><th>type</th><th>subtype</th><th>flags</th><th>next</th>");
	while(list($id, $value) = each($prop))
	{
		preg_match("/$id.*\"(.*)\"/", $file, $matches);
		printf("<tr><td><a name=\"%s\">%s</a></td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td><a href=\"#%s\">%s</a></td></tr>", $id, $id, $matches[1], $value->type, $value->subtype, $value->flags, $value->next, $value->next);
	}
	printf("</table>");
?>

</BODY>
</HTML>
