#ifndef _GUI_GUILE_ACCESS_
#define _GUI_GUILE_ACCESS_

#include "kernel/scheme_def.h"
#include "gui/scheme_def.h"


#include "kernel/scheme_def.h"
#include "gui/scheme_def.h"

SCHEME static SO_obj_tlo get_active_tlo()
{ return (context . tlo); }

SCHEME static SW_window get_active_window()
{ return (context . w); }

SCHEME static SW_view make_view(SO_go_group group)
{ return (create_view (group)); }

SCHEME static SVOID center_view(SW_view vw, SREAL x, SREAL y)
{ visualisation_center (&(vw -> vis), x, y); }

SCHEME static SVOID move_view(SW_view vw, SREAL x, SREAL y)
{ visualisation_move (&(vw -> vis), x, y); }

SCHEME static SVOID rotate_view(SW_view vw, SREAL angle)
{ visualisation_rotate (&(vw -> vis), angle); }

SCHEME static SVOID scale_view(SW_view vw, SREAL scale_x, SREAL scale_y)
{ visualisation_scale (&(vw -> vis), scale_x, scale_y); }

SCHEME static SVOID view_set_orientation(SW_view vw, SREAL center_x, SREAL center_y, SREAL scale_x, SREAL scale_y, SREAL angle)
{ visualisation_set_orientation (&(vw -> vis), center_x, center_y, scale_x, scale_y, angle); }

#endif

