#ifndef _VCL_CHARGROUP_H_
#define _VCL_CHARGROUP_H_


struct vcl_chargroup
{
  struct vdo_object vdo;
  struct geom_transform2 coords;
  struct geom_rectangle pc_bbox;
  struct geom_rectangle lc_bbox;
  struct expansion *exp;
  int font_id;
  void * parent;
  int data;
};

extern struct vcl_chargroup *
vcl_chargroup_new (struct expansion * exp, real x_refpnt, real y_refpnt, int font_id);

extern void
vcl_chargroup_source_changed (struct vcl_chargroup * obj);

extern void
vcl_chargroup_change_source (struct vcl_chargroup * obj, struct expansion * exp);



#ifdef _VCL_INTERNAL_


extern void
vcl_chargroup_main (void);


#endif
#endif
