#ifndef _VCL_HACK_H_
#define _VCL_HACK_H_

#ifdef _VCL_INTERNAL_


#define VCL_HACK_HIDDEN 1

struct vcl_hack
{
  GdkWindow *win;
  GdkGC *gc;
  GdkGC *gc2;
  struct geom_transform gt;
};

extern struct vcl_hack *
make_hack_context (GtkWidget *w);

extern void
hack_set_color (struct vcl_hack *context, int r, int g, int b);

extern void
hack_draw_image (struct vcl_hack *context, xxxnum_t x1, xxxnum_t y1,
		 xxxnum_t x2, xxxnum_t y2);

extern void
hack_draw_bbox (struct vcl_hack *context, const struct geom_rectangle *r);

extern void
hack_draw_path (struct vcl_hack *context, const struct geom_path *p);

extern void
hack_draw_point (struct vcl_hack *context, const struct geom_point *p);

extern void
hack_apply_transform (struct vcl_hack *context, struct geom_transform2 *t);

extern void
hack_unapply_transform (struct vcl_hack *context, struct geom_transform2 *t);


#endif
#endif
