#ifndef _VCL_IF_COMPOSITE_H_
#define _VCL_IF_COMPOSITE_H_


extern int vcl_if_composite;

extern int vcl_mid_composite_get_children;
extern int vcl_mid_composite_get_children_backwards;
extern int vcl_mid_composite_get_children_in_bbox;
extern int vcl_mid_composite_get_children_in_bbox_backwards;

static inline uns
vcl_if_composite_p (void *obj)
{ return (vcl_class_supports_interface_p (VCL_GET_CLASS (obj), vcl_if_composite)); }

static inline void
vcl_composite_get_children (void * obj, void (* cb)(void *, void * ), void * cb_data)
{ VCL_METHOD (void, vcl_mid_composite_get_children, cb, cb_data); }

static inline void
vcl_composite_get_children_backwards (void * obj, void (* cb)(void *, void * ), void * cb_data)
{ VCL_METHOD (void, vcl_mid_composite_get_children_backwards, cb, cb_data); }

static inline void
vcl_composite_get_children_in_bbox (void * obj, const struct geom_rectangle * wanted_bbox, void (* cb)(void *, void * ), void * cb_data)
{ VCL_METHOD (void, vcl_mid_composite_get_children_in_bbox, wanted_bbox, cb, cb_data); }

static inline void
vcl_composite_get_children_in_bbox_backwards (void * obj, const struct geom_rectangle * wanted_bbox, void (* cb)(void *, void * ), void * cb_data)
{ VCL_METHOD (void, vcl_mid_composite_get_children_in_bbox_backwards, wanted_bbox, cb, cb_data); }


#ifdef _VCL_INTERNAL_


extern void
vcl_if_composite_main (void);


#endif
#endif
