#ifndef _VCL_IF_NODE_H_
#define _VCL_IF_NODE_H_


extern int vcl_if_node;


extern int vcl_mid_node_set_data;
extern int vcl_mid_node_get_data;
extern int vcl_mid_node_set_parent;
extern int vcl_mid_node_get_parent;
extern int vcl_mid_node_get_bbox;


static inline uns
vcl_if_node_p (void *obj)
{ return (vcl_class_supports_interface_p (VCL_GET_CLASS (obj), vcl_if_node)); }

static inline void
vcl_node_set_data (void *obj, int x)
{ VCL_METHOD (void, vcl_mid_node_set_data, x); }

static inline int
vcl_node_get_data (void *obj)
{ return (VCL_METHOD (int, vcl_mid_node_get_data)); }

static inline void
vcl_node_set_parent (void *obj, void * parent)
{ VCL_METHOD (void, vcl_mid_node_set_parent, parent); }

static inline void *
vcl_node_get_parent (void *obj)
{ return (VCL_METHOD (void *, vcl_mid_node_get_parent)); }

static inline void
vcl_node_get_bbox (void *obj, struct geom_rectangle * bbox)
{ VCL_METHOD (void, vcl_mid_node_get_bbox, bbox); }


extern int
vcl_primary_apply_matrix (void * obj, struct geom_transform *dst);

extern int
vcl_inverted_apply_matrix (void * obj, struct geom_transform *dst);

extern int
vcl_primary_apply_point (void * obj, struct geom_point *dst);

extern int
vcl_inverted_apply_point (void * obj, struct geom_point *dst);


#ifdef _VCL_INTERNAL_


extern void
vcl_if_node_main (void);


#endif
#endif
