#include "vcl_internal.h"

#include <stdio.h>
#include <stdlib.h>

void
vcl_init (void)
{
  vcl_object_main ();

  vcl_if_composite_main ();
  vcl_if_container_main ();
  vcl_if_enclosure_main ();
  vcl_if_mask_main ();
  vcl_if_node_main ();
  vcl_if_painter_main ();
  vcl_if_placement_main ();
  vcl_if_shape_main ();
  vcl_if_transformation_main ();

  vcl_affinity_main ();
  vcl_char_main ();
  vcl_canvas_main ();
  vcl_grid_main ();
  vcl_group_main ();
  vcl_le_area_main ();
  vcl_offset_main ();
  vcl_painter_plainx_main ();
  vcl_path_main ();
  vcl_property_main ();
  vcl_segment_main ();
  vcl_string_main ();
  vcl_tex_layout_main ();
  vcl_text_layout_main ();
}





