#ifndef _VCL_SEGMENT_H_
#define _VCL_SEGMENT_H_

extern vcl_vtable *vcl_vt_segment;

struct vcl_segment
{
  struct vcl_object header;
  struct geom_point p1, p2;

  void * parent;
  int data;
};


static inline uns
vcl_segment_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_segment)); }

extern struct vcl_segment *
vcl_segment_new (struct geom_point p1, struct geom_point p2);

#ifdef _VCL_INTERNAL_


extern void
vcl_segment_main (void);


#endif
#endif
