#ifndef _VCL_STRING_H_
#define _VCL_STRING_H_


extern vcl_vtable *vcl_vt_string;


struct vcl_string
{
  struct vcl_object header;
  const char *string;
  uns charmap;
  int font_id;
  real font_size;
  struct geom_rectangle bbox;
};


static inline uns
vcl_string_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_string)); }

extern void
vcl_string_init (struct vcl_string *obj,  const char *string, uns charmap, int font_id, real font_size, const struct geom_rectangle *bbox);


#ifdef _VCL_INTERNAL_


extern void
vcl_string_main (void);


#endif
#endif
