#include "lib/lib.h"
#include "geomlib/geomlib.h"

#include <gtk/gtk.h>
#include <gdk/gdk.h>


#include "object.h"
#include "gas.h"

static inline uns get_r (u32 u) { return ((u>>24)&255); }
static inline uns get_g (u32 u) { return ((u>>16)&255); }
static inline uns get_b (u32 u) { return ((u>>8)&255); }
static inline uns get_a (u32 u) { return (u&255); }

static inline u32 get_color (uns r, uns g, uns b, uns a)
{ return (r << 24) | (g << 16) | (b << 8) | a; }

#include "rectangle.h"
#include "context.h"


#include "if_composite.h"
#include "if_container.h"
#include "if_enclosure.h"
#include "if_mask.h"
#include "if_node.h"
#include "if_painter.h"
#include "if_placement.h"
#include "if_shape.h"
#include "if_transformation.h"

#include "affinity.h"
#include "canvas.h"
#include "char.h"
#include "context.h"
#include "grid.h"
#include "group.h"
#include "le_area.h"
#include "offset.h"
#include "path.h"
#include "ptr_plainx.h"
#include "property.h"
#include "segment.h"
#include "string.h"
#include "tex_layout.h"
#include "text_layout.h"


#include "main.h"
